com.h3c.of.lib.msg

## Enum Capability

- java.lang.Object
- - java.lang.Enum<Capability>
  - - com.h3c.of.lib.msg.Capability

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<Capability>

      public enum Capability
      extends Enum<Capability>
      implements OfpBitmapEnum

  Designates OpenFlow switch capabilities.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARP_MATCH_IP` Match IP addresses in ARP packets; Since 1.0; Removed at 1.2.
    `FLOW_STATS` Flow statistics; Since 1.0.
    `GROUP_STATS` Group statistics; Since 1.1.
    `IP_REASM` Can reassemble IP fragments; Since 1.0.
    `PORT_BLOCKED` Switch will block looping ports; Since 1.2.
    `PORT_STATS` Port statistics; Since 1.0.
    `QUEUE_STATS` Queue statistics; Since 1.0.
    `RESERVED` Reserved (must be zero); Since 1.0; Removed at 1.1.
    `STP` 802.1d spanning tree; Since 1.0; Removed at 1.1.
    `TABLE_STATS` Table statistics; Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of the constant, suitable for presentation in a display.
    `String` | `toString()`
    `static Capability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Capability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOW_STATS

          public static final Capability FLOW_STATS

      Flow statistics; Since 1.0.

    - #### TABLE_STATS

          public static final Capability TABLE_STATS

      Table statistics; Since 1.0.

    - #### PORT_STATS

          public static final Capability PORT_STATS

      Port statistics; Since 1.0.

    - #### STP

          public static final Capability STP

      802.1d spanning tree; Since 1.0; Removed at 1.1.

    - #### GROUP_STATS

          public static final Capability GROUP_STATS

      Group statistics; Since 1.1.

    - #### RESERVED

          public static final Capability RESERVED

      Reserved (must be zero); Since 1.0; Removed at 1.1.

    - #### IP_REASM

          public static final Capability IP_REASM

      Can reassemble IP fragments; Since 1.0.

    - #### QUEUE_STATS

          public static final Capability QUEUE_STATS

      Queue statistics; Since 1.0.

    - #### ARP_MATCH_IP

          public static final Capability ARP_MATCH_IP

      Match IP addresses in ARP packets; Since 1.0; Removed at 1.2.

    - #### PORT_BLOCKED

          public static final Capability PORT_BLOCKED

      Switch will block looping ports; Since 1.2.

  - ### Method Detail

    - #### values

          public static Capability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Capability c : Capability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Capability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Capability>`

    - #### toDisplayString

          public String toDisplayString()

      Description copied from interface: `OfpBitmapEnum`
      Returns a string representation of the constant, suitable for presentation in a display.
      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        a display string for the constant

Copyright © 2014. All Rights Reserved.